Skip to main content
GET
/
batches
List Batches
curl --request GET \
  --url https://{gatewayBaseURL}/batches \
  --header 'Authorization: Bearer <token>'
{
  "object": "<string>",
  "data": [
    {
      "id": "<string>",
      "object": "<string>",
      "endpoint": "<string>",
      "errors": {
        "object": "<string>",
        "data": [
          {
            "code": "<string>",
            "message": "<string>",
            "param": "<string>",
            "line": 123
          }
        ]
      },
      "input_file_id": "<string>",
      "completion_window": "<string>",
      "status": "<string>",
      "output_file_id": "<string>",
      "error_file_id": "<string>",
      "created_at": 123,
      "in_progress_at": 123,
      "expires_at": 123,
      "finalizing_at": 123,
      "completed_at": 123,
      "failed_at": 123,
      "expired_at": 123,
      "cancelling_at": 123,
      "cancelled_at": 123,
      "request_counts": {
        "total": 123,
        "completed": 123,
        "failed": 123
      },
      "metadata": "<unknown>"
    }
  ],
  "first_id": "<string>",
  "last_id": "<string>",
  "has_more": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-tfy-metadata
string

Optional metadata for the request

x-tfy-provider-name
string

Name of the provider

x-tfy-azure-api-version
string

Azure OpenAI API version for the deployment

x-tfy-vertex-storage-bucket-name
string

Vertex AI storage bucket name

x-tfy-vertex-region
string

Vertex AI region (e.g., europe-west4)

x-tfy-provider-model
string

Provider-specific model identifier

x-tfy-aws-s3-bucket
string

AWS S3 bucket name (Bedrock batch)

x-tfy-aws-bedrock-model
string

AWS Bedrock model identifier

Response

200 - application/json

Batches retrieved successfully

object
string
required

Object type.

data
object[]
required

List of batches.

first_id
string
required

ID of the first batch.

last_id
string
required

ID of the last batch.

has_more
boolean
required

Indicates if there are more batches.